Subject: Re: [Cfrg] Review of: draft-lochter-pkix-brainpool-ecc-01

From: "Hal Finney" <[email-masked]>
Date: Tue, 15 Apr 2008 09:10:53 -0700

I should clarify that the proofs I was talking about are not
mathematical proofs per se, rather they are the seed values (based on
the digits of "pi" and "e") and the exact procedural descriptions
which go from the seeds to the resulting curve parameters. This is the
information needed to verify that the curves are in fact random and
can't have any back doors. Since that is one of the main points of the
new curves, it would be helpful to assure that that information is
reasonably accessible. I don't think there is anything about this
information which would require PDF format. In fact if you are writing
your own code to validate the generation procedure (facilitating which
would be the purpose of providing this information), it is often
harder to cut and paste from PDF documents than from text documents,
in my experience.

Hal Finney

On Mon, Apr 14, 2008 at 12:28 PM, Bob Braden <[email-masked]> wrote:
>
>
>   *> >   *>
>   *> >   *> Regarding Hal Finney's suggestion to publish the proofs of
>   *> >   *> randomness and security of the curve parameters in a seperate RFC, I
>   *> >   *> am not sure whether the ASCII based approach of RFC document is
>   *> >   *> appropriate to publish mathematical proofs. An alternative would be
>   *> >   *> to publish the full paper in an online archive (e.g. at citeseer or
>   *> >   *> IACR) or in a well-known scientific jounal. In this case we could
>   *> >   *> use latex for the formulas.
>
>  Another alternative, which we recommend, is to use the text/graphic
>  mixture approach defined in Section 2.4 of
>  http://www.rfc-editor.org/rrfc-editor/instructions2authors.txt.
>
>  Basically, you would submit two versions of the same document:  one in
>  pure ASCII (this is basically your draft-lochter-pkix-brainpool-ecc),
>  and the other in PDF.  The RFC repository will contain two
>  files, named rfcxxxx.txt and rfcxxxx.pdf, when your document is published.
>
>  The .txt file would have one addition: an appendix containing only a
>  note to see the .pdf version for the proofs.  The .pdf version could be
>  prepared in Latex to contain the same text as the .txt version, except
>  that its appendix would contain your mathmetical proofs using proper
>  mathematical notation. This works under the current rules, because the
>  proofs in the appendix are not normative; the normative algorithm is
>  available to readers in pure ASCII.
>
>  For an example, look up rfc2636; you will find .txt and .pdf
>  (and .ps) versions.  I am not sure you will find the .pdf versions
>  in the IETF repository, but you will find all 3 versions using
>  the RFC Editor search engine (http://www.rfc-editor.org/rfcsearch.html
>  and search for 2636.
>
>  The RFC Editor will edit the .txt version only.  You will have to
>  take responsibility that any changes that we make in the ASCII
>  version get carried back to your Latex source, so the pre-appendix
>  text will match.
>
>  Let us know if this is unclear.
>
>  RFC Editor/bb
>
>
>
_______________________________________________
Cfrg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/cfrg